| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
Notification.h File Reference
`#include <iostream>`
`#include "Defs.h"`
`#include "value_classes/ValueID.h"`

Go to the source code of this file.

## Classes
class | OpenZWave::Notification
| Provides a container for data sent via the notification callback handler installed by a call to Manager::AddWatcher. More...

## Namespaces
namespace | OpenZWave

## Functions
std::ostream & | operator<< (std::ostream &os, const OpenZWave::Notification &dt)
std::ostream & | operator<< (std::ostream &os, const OpenZWave::Notification *dt)

## Function Documentation

## ◆ operator<<() [1/2]

std::ostream & operator<< | ( | std::ostream & | os,
|  | const OpenZWave::Notification & | dt
| ) |  |

## ◆ operator<<() [2/2]

std::ostream & operator<< | ( | std::ostream & | os,
|  | const OpenZWave::Notification * | dt
| ) |  |